import { defineStore } from 'pinia'
import { reactive } from 'vue'
import { setToken } from '@/utils/auth'
import { smsLogin } from '@/api/common/index'
import { useRouter } from 'vue-router'

export const userLocaleStore = defineStore('user',
  () => {
    let userInfo = reactive({})
    const handleLogin = async (data) => {
      console.log(data, 'login-params')
      return new Promise((resolve, reject) => {
        smsLogin(data).then(res => {
          const { data } = res
          console.log(data, 'res-login')
          setToken(data.accessToken)
          userInfo = data
          localStorage.setItem('expiresTime', data.expiresTime) // token过期时间
          useRouter().push('/home')
          resolve()
        }).catch(err => { reject(err) })
      })
    }
    return {
      userInfo,
      handleLogin
    }
  },
  {
    persist: true,
  }
)

